curl --request POST \
--url https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"Name": "Binoculars",
"LanguageIso": "DE",
"SalesChannelId": "1-1-0",
"Description": "Best Binoculars",
"SeoPath": "binoculars",
"SeoMetaDescription": "Best Binoculars",
"SeoTitleTag": "Best Binoculars",
"SeoMetaKeywords": "Best, Binoculars"
}
'import requests
url = "https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions"
payload = {
"Name": "Binoculars",
"LanguageIso": "DE",
"SalesChannelId": "1-1-0",
"Description": "Best Binoculars",
"SeoPath": "binoculars",
"SeoMetaDescription": "Best Binoculars",
"SeoTitleTag": "Best Binoculars",
"SeoMetaKeywords": "Best, Binoculars"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
Name: 'Binoculars',
LanguageIso: 'DE',
SalesChannelId: '1-1-0',
Description: 'Best Binoculars',
SeoPath: 'binoculars',
SeoMetaDescription: 'Best Binoculars',
SeoTitleTag: 'Best Binoculars',
SeoMetaKeywords: 'Best, Binoculars'
})
};
fetch('https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"CategoryId": 123,
"Name": "Binoculars",
"Description": "Best Binoculars",
"SeoPath": "binoculars",
"SeoMetaDescription": "Best Binoculars",
"SeoTitleTag": "Best Binoculars",
"SeoMetaKeywords": "Best, Binoculars",
"LanguageIso": "DE",
"SalesChannelId": "1-1-0"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Create Category Description
Create a new description for a specific category
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
Body
The categoryDescription to create.
Model Class: CreateCategoryDescription
The category name in the given language and sales channel. The name in JTL-Wawi and the default language is the default name of the category.
"Binoculars"
The ISO code of the language of the description.
"DE"
"1-1-0"
"Best Binoculars"
"binoculars"
"Best Binoculars"
"Best Binoculars"
"Best, Binoculars"
Response
The created category description.
Model Class: CategoryDescription
The category name in the given language and sales channel. The name in JTL-Wawi and the default language is the default name of the category.
"Binoculars"
The category description in the given language and sales channel.
"Best Binoculars"
The SEO path in the given language and sales channel.
"binoculars"
The SEO metadescription in the given language and sales channel.
"Best Binoculars"
The title tag (SEO) in the given language and sales channel.
"Best Binoculars"
The meta keywords in the given language and sales channel.
"Best, Binoculars"
The ISO code of the language of the description.
"DE"
"1-1-0"
Was this page helpful?